Skip to main content
GET
TypeScript SDK

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Notion-Version
enum<string>
required

The API version to use for this request. The latest version is 2026-03-11.

Available options:
2026-03-11

Query Parameters

status
enum<string>

If supplied, the endpoint will return file uploads with the specified status.

Available options:
pending,
uploaded,
expired,
failed
start_cursor
string

If supplied, this endpoint will return a page of results starting after the cursor provided. If not supplied, this endpoint will return the first page of results.

page_size
integer

The number of items from the full list desired in the response. Maximum: 100

Required range: 1 <= x <= 100

Response

object
string
required

Always list

Allowed value: "list"
next_cursor
string<uuid> | null
required
has_more
boolean
required
results
object[]
required
type
string
required

Always file_upload

Allowed value: "file_upload"
file_upload
object
required
request_status
object